1. 10 Oct, 2015 1 commit
  2. 09 Oct, 2015 1 commit
  3. 06 Oct, 2015 2 commits
  4. 05 Oct, 2015 2 commits
  5. 03 Oct, 2015 2 commits
  6. 02 Oct, 2015 1 commit
  7. 01 Oct, 2015 2 commits
  8. 27 Sep, 2015 1 commit
    • Release Manager's avatar
      Trac #19125: DeprecatedMethod wrapping is broken · 74721d54
      Release Manager authored
      As reported on [https://groups.google.com/d/msg/sage-
      devel/nion2hqoKbE/E8Kd5OFSEAAJ] we get the wrong result:
      {{{
      sage: var('a b c x y')
      sage: eq1 = y == a*x+x^b
      sage: eq2 = b == c/2
      sage: eq3 = c == a^2
      sage: eq1.subs_expr(eq2.subs_expr(eq3))
      
      __main__:1: DeprecationWarning: subs_expr is deprecated. Please use
      substitute instead.
      See http://trac.sagemath.org/12834 for details.
      1/2*a^2 == 1/2*c
      }}}
      This result is consistent with
      {{{
      sage: eq2.subs_expr(eq2.subs_expr(eq3))
      }}}
      which is indeed what the code currently effectively does. This affects
      any (nested) deprecated method lookup at the moment, so needs to be
      fixed ASAP.
      
      URL: http://trac.sagemath.org/19125
      Reported by: nbruin
      Ticket author(s): Nils Bruin
      Reviewer(s): Vincent Delecroix
      74721d54
  9. 26 Sep, 2015 4 commits
  10. 25 Sep, 2015 3 commits
  11. 24 Sep, 2015 17 commits
  12. 23 Sep, 2015 4 commits